AiAgent
List of all available AI agents as an tree based on associated tag
GET /aiAgents/tree
GET /aiAgents/tree
Query parameters
limitintegerqueryThe number of items to return
offsetintegerqueryThe number of items to skip
categoryFilterenumqueryFilter criteria based on category. If ommited, only ai agents will be returned ("intent")
typeFilterenumqueryFilter criteria based on type of the executor. If ommited, all types are returned.
formatenumqueryOutput format. Either short (only name/id), medium (key facts) or full (all details). Defaults to full.
qstringquerySearch query for fulltext search in name and description fields. Results are ordered by relevance when search is used
Responses
200 — Successful operation
Response Example
{
"aiAgentsTree": null
}403 — Unauthorized
500 — Internal error